<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$data = json_decode(str_replace("'",'"',$params->get('Measures')), TRUE);

// Ajax:
if (JRequest::getVar('action')) {

  switch(JRequest::getVar('action')){

    case 'getMeasurementUnits':

      $type = JRequest::getVar('type') ? JRequest::getVar('type') : die('Error: Type parameter required!');

      if(!isset($data[$type])){
        die('Error: Type of measurement not found!');
      }

      $result = array();
      foreach($data[$type]['units'] as $unit_name => $unit){
        if($unit['active'])
          $result[] = $unit_name;
      }

      echo json_encode($result);

    break;

    case 'measurementConversion':

      $type = JRequest::getVar('type');
      $from = JRequest::getVar('fromUnits');
      $to = JRequest::getVar('toUnits');
      $value = (int)JRequest::getVar('value');
        
      $units = $data[$type]['units'];


      if(!isset($units[$from]['shift'])){
        $units[$from]['shift'] = 0;
      }

      if(!isset($units[$to]['shift'])){
        $units[$to]['shift'] = 0;
      }

      $result = (($value + $units[$from]['shift']) * $units[$from]['scale']) / $units[$to]['scale'] - $units[$to]['shift'];

      echo json_encode($result);

    break;

  }

  exit();
}


JHtml::stylesheet(JURI::root().'modules/mod_measure_converter/css/converter_styles.css');
JHtml::script('https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js');
JHtml::script(JURI::root().'modules/mod_measure_converter/js/measure-converter.js');
?>
<script type="text/javascript">
  window.mod_measure_converter_joomla_root = '<?php echo JURI::root(); ?>';
</script>
<?php

$showPowered = $params->get('poweredLInk');

$menu = &JSite::getMenu();
$currentMenuItem = $menu->getActive();


if ($showPowered) {

    // get current module id
    jimport('joomla.application.module.helper');
    $module    = JModuleHelper::getModule('measure_converter');
    $module_id = $module->id;


    // select menu item where we will show powered link
    // (should be shown only on one page)
    $db = JFactory::getDBO();
    $query = "
        SELECT " . $db->quoteName('menuid') . "
        FROM " . $db->quoteName('#__modules_menu') . " mm
        LEFT JOIN " . $db->quoteName('#__menu') . " m ON mm.menuid = m.id
        WHERE mm.moduleid = " . $db->quote($module->id) . "
        ORDER BY m.published = 1 DESC, m.home DESC, m.`level` ASC
        LIMIT 1
    ";
    $db->setQuery($query);

    $menu_item_id = $db->loadResult();


    // if option selected "show on all pages":
    // then display powered only on home page
    if ($menu_item_id == 0) {
        echo 'On all pages:';

        $query = "
            SELECT " . $db->quoteName('menuid') . "
            FROM " . $db->quoteName('#__modules_menu') . " mm
            LEFT JOIN " . $db->quoteName('#__menu') . " m ON mm.menuid = m.id
            ORDER BY m.published = 1 DESC, m.home DESC, m.`level` ASC
            LIMIT 1
        ";

        $db->setQuery($query);

        $menu_item_id = $db->loadResult();
    }

    // on all except selected
    else if ($menu_item_id < 0) {
        echo 'On all except selected:';

        $query = "
            SELECT " . $db->quoteName('id') . "
            FROM " . $db->quoteName('#__menu') . " m
            WHERE id NOT IN (SELECT ABS(menuid) FROM " . $db->quoteName('#__modules_menu') . " WHERE moduleid = " . $db->quote($module->id) . ")
            AND parent_id <> 0
            ORDER BY m.published DESC, m.home DESC, m.`level` ASC
        ";
        $db->setQuery($query);

        $menu_item_id = $db->loadResult();

    } else {
        // on selected
        echo 'On selected:';
    }



    if (!is_null($menu_item_id)) {
        $showPowered = $currentMenuItem->id == $menu_item_id;
    }
}


$units = $data[key($data)]['units'];

require(JModuleHelper::getLayoutPath('mod_measure_converter'));

//require_once( dirname(__FILE__).DS.'default.php' );

