jQuery(function($){

  var loaderIcon = $('.measureConverter .loader');
  var timer = null;

  $('.selectMeasure').change(function(){

    loaderIcon.show();
    
    var type = $(this).val();

    var ajaxData = {
      'action': 'getMeasurementUnits',
      'type': type
    };

    $.getJSON(window.mod_measure_converter_joomla_root+'modules/mod_measure_converter/ajax.php', ajaxData, function(response){

      var options = '';
      $.each(response, function(i, el){
        options += '<option value="'+ el +'">'+ el +'</option>'
      });
      $('.selectUnits').html(options);
      loaderIcon.hide();
      // Convert current
      $('.convertedValue').trigger('keyup');
    });

  }).change();

  $('.selectUnits').change(function(){
    $('.convertedValue').trigger('keyup');
  });

  $('.convertedValue').keyup(function(){

    var $this = $(this);

    if($this.val() == '')
      return;

    clearTimeout(timer);

    timer = setTimeout(function(){

      loaderIcon.show();

      var container = $this.closest('.measureConverter');
      var fromUnits = container.find('.selectUnits.from').val();
      var toUnits =  container.find('.selectUnits.to').val();
      var type =  container.find('.selectMeasure').val();
      var value =  container.find('.convertedValue').val();

      var ajaxData = {
        'action': 'measurementConversion',
        'type': type,
        'fromUnits': fromUnits,
        'toUnits': toUnits,
        'value' : value
      };

      $.post(window.mod_measure_converter_joomla_root+'modules/mod_measure_converter/ajax.php', ajaxData, function(resp){
        container.find('.convertedResult').val(resp);
        loaderIcon.hide();
      });

    }, 200);

  });



});